Skip to main content
POST
/
v2
/
international
/
beneficiaries
Create an international beneficiary
curl --request POST \
  --url https://thirdparty.qonto.com/v2/international/beneficiaries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quote_id": "0196edb0-9b6e-7554-9864-d111285a0a44",
  "payload": {
    "currency": "EUR",
    "type": "aba",
    "details": {
      "address": {
        "city": "Paris",
        "country": "FR",
        "postCode": 75009,
        "firstLine": "18 rue du Navarin"
      },
      "swiftCode": "AAABBB00",
      "accountNumber": 123456789,
      "accountHolderName": "John Doe"
    }
  }
}
'
{
  "target_account_id": "123456"
}
The payload object for this endpoint is the same as the one used in the List Beneficiary requirements endpoint.

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Body

application/json
quote_id
string<uuid>
required

The quote unique identifier

Example:

"0196edb0-9b6e-7554-9864-d111285a0a44"

payload
object
required

Response

Returns the international beneficiary created

beneficiary
object
quote
object
target_account_id
string

The ID of the beneficiary's target account

Example:

"123456"